@import '~styles/variables.less';

/** Стили модального окна */
.modal {
	position: fixed;
	top: 0;
	left: 0;
	bottom: 0;
	right: 0;
	z-index: 2;

	padding: 20px;
	box-sizing: border-box;

	width: 100%;
	height: 100%;

	display: flex;
	align-items: center;
	justify-content: flex-start;

	background-color: @black;

	@media(min-width: @breakpoint-2) {
		padding: 60px;
	}
}

.menuList {
	margin: 0;
	padding: 0;

	list-style: none;

	li {
		margin: 0 0 20px 0;

		&:last-child {
			margin: 0;
		}
	}
}

.menuLink {
	position: relative;

	font-size: 36px;
	font-weight: 700;
	text-decoration: none;
	color: @white;

	border-bottom: 1px solid transparent;

	&.active {
		border-bottom: 1px solid @yellow;
	}

	&:hover {
		color: @yellow;
	}

	@media(min-width: @breakpoint-2) {
		font-size: 46px;
	}
}
